git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Installing Python 3.8.3 with tkinter


Klaus Jantzen <k.d.jantzen at mailbox.org> writes:

> On 7/22/20 11:05 PM, Ned Deily wrote:
>> On 2020-07-22 06:20, Klaus Jantzen wrote:
>>> Trying to install Python 3.8.3 with tkinter I run configure with the
>>> following options
>>>
>>> ./configure --enable-optimizations --with-ssl-default-suites=openssl
>>> --with-openssl=/usr/local --enable-loadable-sqlite-extensions
>>> --with-pydebug --with-tcltk-libs='-L/opt/ActiveTcl-8.6/lib/tcl8.6'
>>> --with-tcltk-includes='-I/opt/ActiveTcl-8.6/include'
>>>
>>> Running Python gives the following information
>> [...]
>>> How do that correctly?
>> Try --with-tcltk-libs='-L/opt/ActiveTcl-8.6/lib -ltcl8.6 -ltk8.6'
>>
>>
> Thank you for your suggestion; unfortunately it did not help.

Are you sure the libs you need (presumably libtcl8.6.so and libtk8.6.so)
are both in /opt/ActiveTcl-8.6/lib/tcl8.6? Or where are they actually?
Presumably not in /opt/ActiveTcl-8.6/lib since that didn't work.

Could be something else too. You may need to dig into setup.py and the
configure script.